# Last trade

**method url**:`/api/third/info/trades`

**request type**:`GET`

**request param**:

| param\_name | param note | type  | required | data type      | schema |
| ----------- | ---------- | ----- | -------- | -------------- | ------ |
| pairName    |            | query | true     | string         |        |
| limit       | default 50 | query | false    | integer(int32) |        |

**response param**:(Array)

| param\_name           | param note | type           | schema |
| --------------------- | ---------- | -------------- | ------ |
|   amount              |            | number         |        |
|   contractMatchPairId |            | integer(int64) |        |
|   contractPairId      |            | integer(int64) |        |
|   isLong              |            | boolean        |        |
|   price               |            | number         |        |
|   quantity            |            | number         |        |
|   time                |            | string         |        |
|   timestamp           |            | integer(int64) |        |
|   pair                |            | string         |        |

**example**:

> 1 Set request parameters, query params:

```
pairName:ETH-USD
limit:1
```

> 2 Assemble the complete request

```
curl --location 'https://zk-test.satori.finance/api/third/info/trades?pairName=ETH-USD&limit=1'
```

> 3 Return results

```
{
    "error": false,
    "code": 200,
    "msg": "SUCCESS",
    "data": [
        {
            "contractMatchPairId": 7843437,
            "contractPairId": 1,
            "pair": null,
            "price": "3203.93",
            "quantity": "1.111",
            "amount": "3559.56623",
            "isLong": true,
            "time": "09:48:45",
            "timestamp": 1714988925000
        }
    ],
    "sid": "1798296230509510659"
}
```

**Error Code**:

| code | msg                         |
| ---- | --------------------------- |
| 2001 | Illegal parameter: {param0} |
